# Interface ServerEndpointConfig

All Superinterfaces:
  `EndpointConfig`

public interface ServerEndpointConfig extends EndpointConfig
Provides configuration information for WebSocket endpoints published to a server. Applications may provide their own implementation or use `ServerEndpointConfig.Builder`.

## Nested Class Summary

Nested Classes
Modifier and Type
Interface
Description
`static final class`
`ServerEndpointConfig.Builder`
Builder for creating `ServerEndpointConfig` instances.
`static class`
`ServerEndpointConfig.Configurator`
Provides a mechanism to customize the WebSocket handshake for server endpoints.

## Method Summary

Modifier and Type
Method
Description
`ServerEndpointConfig.Configurator`
`getConfigurator()`
Returns the configurator for this server endpoint.
`Class<?>`
`getEndpointClass()`
Returns the class of the endpoint.
`List<Extension>`
`getExtensions()`
Returns the list of extensions supported by this endpoint.
`String`
`getPath()`
Returns the path at which this WebSocket server endpoint has been registered.
`List<String>`
`getSubprotocols()`
Returns the list of sub-protocols supported by this endpoint.

### Methods inherited from interface EndpointConfig

`getDecoders, getEncoders, getUserProperties`

## Method Details

### getEndpointClass

Class<?> getEndpointClass()
Returns the class of the endpoint.

Returns:
  The endpoint class

### getPath

String getPath()
Returns the path at which this WebSocket server endpoint has been registered. It may be a path or a level 0 URI template.

Returns:
  The registered path

### getSubprotocols

List<String> getSubprotocols()
Returns the list of sub-protocols supported by this endpoint.

Returns:
  The list of supported sub-protocols

### getExtensions

List<Extension> getExtensions()
Returns the list of extensions supported by this endpoint.

Returns:
  The list of supported extensions

### getConfigurator

ServerEndpointConfig.Configurator getConfigurator()
Returns the configurator for this server endpoint.

Returns:
  The configurator